<?php
namespace Teknisa\PED\Modules\Expedicao\Services;

use Doctrine\ORM\EntityManager;
use Geral\Util\DateUtil;
use Teknisa\Libs\Util\Environment;


class Exp02100RotaEntregaService{

	protected $entityManager;
	protected $environment;
	protected $newCode;
	protected $exp02100RotaEntregaFactory;

	public function __construct(Environment $environment, EntityManager $entityManager, $exp02100RotaEntregaFactory){
		$this->environment				= $environment;
		$this->entityManager           = $entityManager;
		$this->exp02100RotaEntregaFactory = $exp02100RotaEntregaFactory;
	}

	
    public function deleteRota($rows){
        try{
        	$connection = $this->entityManager->getConnection();
            $connection->beginTransaction();
            
            
        	$this->exp02100RotaEntregaFactory->deleteTabelaFilialrota($rows['NRORG'],$rows['CDROTATRANS']);
        	
        	$this->exp02100RotaEntregaFactory->deleteTabelaClienterota($rows['NRORG'],$rows['CDROTATRANS']);
        	
        	$this->exp02100RotaEntregaFactory->deleteTabelaMunicipiorota($rows['NRORG'],$rows['CDROTATRANS']);
        	
        	$this->exp02100RotaEntregaFactory->deleteTabelaRota($rows['NRORG'],$rows['CDROTATRANS']);
        	
        	$connection->commit();
        	
        }catch (\Exception $e) {
	        $this->entityManager->rollback();
	        throw $e;
	    }
        
        
    }


}

?>