<?php
namespace Teknisa\PED\Modules\Pedidos\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\PED\Modules\Pedidos\Factories\ped08000TabelaDescontoFactory;
use Teknisa\Libs\Util\DateUtil;
use Teknisa\Libs\Util\NewCode;
use Teknisa\Libs\Util\Environment;

class ped08000TabelaDescontoService{

	protected $entityManager;
	protected $environment;
	protected $newCode;
	protected $TabelDescontoFactory;

	public function __construct(EntityManager $entityManager, NewCode $newCode, Environment $environment, ped08000TabelaDescontoFactory $TabelDescontoFactory){
		$this->entityManager           = $entityManager;
		$this->environment				= $environment;
		$this->newCode					= $newCode;
		$this->ped08000TabelaDescontoFactory = $TabelDescontoFactory;
	}
	
	public function getNewNRTABDESC(){
	    return $this->ped08000TabelaDescontoFactory->getNewNRTABDESC();
	}
	
	public function getNewNRITTABDESC($nrtabdesc, $cdproduto){
	    return $this->ped08000TabelaDescontoFactory->getNewNRITTABDESC($nrtabdesc, $cdproduto);
	}

}

?>